package com.ankaibei.workFlow.webadmin.ankaibei.api;


import com.ankaibei.workFlow.webadmin.ankaibei.utils.ApiMixin;
import com.ankaibei.workFlow.webadmin.ankaibei.vo.ProjectInfoVo;
import com.ankaibei.workFlow.webadmin.ankaibei.vo.ResMsg;

import java.util.List;

/**
 * @author
 * @version 1.0
 * @description:
 * @date 2022/9/14 11:08
 */
public interface ProjectInfoApi extends ApiMixin<ProjectInfoVo, Integer> {

    ResMsg findProjectInfo(ProjectInfoVo projectInfoVo);

    ResMsg findProjectInfoAll(String projectName);

    ResMsg findProjectParticulars(ProjectInfoVo projectInfoVo);

    ResMsg addProject(ProjectInfoVo projectInfoVo);

    ResMsg updateProject(ProjectInfoVo projectInfoVo);

    ResMsg findPrincipalProject(String userId);

    ResMsg findAccesoryInfo(ProjectInfoVo projectInfoVo);

    ResMsg findProjectNumber();

    ResMsg substepOfProjectNum();

    ResMsg findLastMonthProjectNumber();

    ResMsg substepOfProjectNumAtLastMonth();

    ResMsg deleteProjects(List<ProjectInfoVo> projectInfoVos);
}
